org.richfaces.application

## Class MessageFactoryImpl

- java.lang.Object
- - org.richfaces.application.MessageFactoryImpl

- All Implemented Interfaces:
    MessageFactory

      public class MessageFactoryImpl
      extends Object
      implements MessageFactory

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `MessageFactoryImpl.Factory<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageFactoryImpl(BundleLoader bundleLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T> T` | `create(javax.faces.context.FacesContext context, MessageFactoryImpl.Factory<T> factory, Locale locale, Enum<?> messageKey, Object... args)`
    `javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, Enum<?> messageKey, Object... args)`
    `javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, javax.faces.application.FacesMessage.Severity severity, Enum<?> messageKey, Object... args)`
    `protected <T> T` | `detectLocalesAndCreate(javax.faces.context.FacesContext context, MessageFactoryImpl.Factory<T> factory, Enum<?> messageKey, Object... args)`
    `String` | `getMessageFormat(javax.faces.context.FacesContext facesContext, Enum<?> messageKey)`
    `String` | `getMessageText(javax.faces.context.FacesContext facesContext, Enum<?> messageKey, Object... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageFactoryImpl

          public MessageFactoryImpl(BundleLoader bundleLoader)

  - ### Method Detail

    - #### createMessage

          public javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                                    Enum<?> messageKey,
                                                                    Object... args)

      Specified by:
        `createMessage` in interface `MessageFactory`

    - #### createMessage

          public javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                                    javax.faces.application.FacesMessage.Severity severity,
                                                                    Enum<?> messageKey,
                                                                    Object... args)

      Specified by:
        `createMessage` in interface `MessageFactory`

    - #### getMessageText

          public String getMessageText(javax.faces.context.FacesContext facesContext,
                                       Enum<?> messageKey,
                                       Object... args)

      Specified by:
        `getMessageText` in interface `MessageFactory`

    - #### getMessageFormat

          public String getMessageFormat(javax.faces.context.FacesContext facesContext,
                                         Enum<?> messageKey)

      Specified by:
        `getMessageFormat` in interface `MessageFactory`

    - #### detectLocalesAndCreate

          protected <T> T detectLocalesAndCreate(javax.faces.context.FacesContext context,
                                                 MessageFactoryImpl.Factory<T> factory,
                                                 Enum<?> messageKey,
                                                 Object... args)

    - #### create

          protected <T> T create(javax.faces.context.FacesContext context,
                                 MessageFactoryImpl.Factory<T> factory,
                                 Locale locale,
                                 Enum<?> messageKey,
                                 Object... args)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.